/*
 * QEAuthenticator.java - used for host authentication (username & password)
 *
 *      Copyright (c) - 2006 DrachenSoft, LLC
 *      This software may be freely distributed and modified under the GNU
 *      General Public License, Version 2 or later, as published by the
 *      Free Software Foundation.
 *
 *      This software is NOT guaranteed or warrantied.  USE AT YOUR OWN RISK!
 *      The author and/or authors cannot be held responsible for any
 *      misuse or damage.
 *
 *      Note: Please add revisions as file is changed!
 *
 *      REV         DATE                DESCRIPTION
 *      -----       ----------          ----------------------------------------
 *      00.00       2006-07-28          Initial release
 *
 */
import java.awt.*;
import java.lang.*;
import java.net.InetAddress;
import javax.mail.*;
/**
 * Used for host authentication (username & password) during SMTP transport
 *
 * @author  Michael Latham
 */
public class QEAuthenticator extends Authenticator {
	
    /** username */
	private String					m_usr;
    /** password */
	private	String					m_pwd;

	/**
     * Default constructor, sets username and password to blanks.
     */
	public QEAuthenticator() {
		m_usr = "";
		m_pwd = "";
	}
	
    /**
     * Constructor to set username and password
     * @param usr   Username to access outgoing email server
     * @param pwd   Password to access outgoing email server
     */
	public QEAuthenticator( String usr, String pwd ) {
		m_usr	= usr;
		m_pwd	= pwd;
	}

	/**
     * Retrieved the password authentication object, used during transport.
     * @return password authentication object, used during transport.
     */
    protected PasswordAuthentication getPasswordAuthentication() {
		PasswordAuthentication pa = new PasswordAuthentication( m_usr, m_pwd );
		return pa;
	}
	
}